package com.fs.ad.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.fs.ad.domain.AdAccount;

/**
 * 推广账户Service接口
 * 
 * @author fs
 * @date 2025-03-04
 */
public interface IAdAccountService extends IService<AdAccount>{
    /**
     * 查询推广账户
     * 
     * @param id 推广账户主键
     * @return 推广账户
     */
    AdAccount selectAdAccountById(Long id);

    /**
     * 查询推广账户列表
     * 
     * @param adAccount 推广账户
     * @return 推广账户集合
     */
    List<AdAccount> selectAdAccountList(AdAccount adAccount);

    /**
     * 新增推广账户
     * 
     * @param adAccount 推广账户
     * @return 结果
     */
    int insertAdAccount(AdAccount adAccount);

    /**
     * 修改推广账户
     * 
     * @param adAccount 推广账户
     * @return 结果
     */
    int updateAdAccount(AdAccount adAccount);

    /**
     * 批量删除推广账户
     * 
     * @param ids 需要删除的推广账户主键集合
     * @return 结果
     */
    int deleteAdAccountByIds(Long[] ids);

    /**
     * 删除推广账户信息
     * 
     * @param id 推广账户主键
     * @return 结果
     */
    int deleteAdAccountById(Long id);

    AdAccount selectByLinkId(Long id);
    void deleteByLinkId(Integer type, Long id);
    void deleteByLinkIds(Integer type, Long[] id);

    List<AdAccount> listAll();
}
